#
# spec file for package qsstv
#

Name:           qsstv
Version:        8.1.17
Release:        0
License:        GPL-3.0
Summary:        Qt-based SSTV and HAMDRM
Url:            http://users.telenet.be/on4qz/qsstv/
Group:          Productivity/Hamradio/Other
Source:         %{name}_%{version}.tar.bz2
Source1:        qsstv.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  alsa-devel
BuildRequires:  fftw3-devel
BuildRequires:  gcc-c++
BuildRequires:  hamlib-devel
BuildRequires:  libjasper-devel
BuildRequires:  libqt4-devel
BuildRequires:  update-desktop-files

%description
QSSTV is a program for receiving and transmitting SSTV and HAMDRM (sometimes
called DSSTV). It is compatible with most of MmSSTV and EasyPal

%prep
%setup -q -n %{name}_%{version}

%build
qmake qsstv_8.pro

make %{?_smp_mflags}

%install
%make_install INSTALL_ROOT=%{buildroot}

# Make suse_update_desktop_file be able to find the qsstv icon
cp src/icons/%{name}.png %_sourcedir

# Install man page borrowed from Debian
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/

%suse_update_desktop_file -c %{name} Qsstv "Qt-based SSTV and HAMDRM" %{name} %{name} "Network;HamRadio"

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*

%changelog
